DROP TABLE IF EXISTS bvc_track;
CREATE TABLE bvc_track (
	trackID INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
	trackName VARCHAR(255) NOT NULL,
	trackURL VARCHAR(255) NOT NULL,
	artistName VARCHAR(255) NOT NULL,
	artistEmail VARCHAR(255) NOT NULL,
	entryDate DATE NOT NULL,
	entryVotable BOOL DEFAULT FALSE NOT NULL,
	entryConfirmed BOOL DEFAULT FALSE NOT NULL,
	inspirationID INT NOT NULL REFERENCES bvc_inspiration ON DELETE SET NULL
) ENGINE = InnoDB;

DROP TABLE IF EXISTS bvc_inspiration;
CREATE TABLE bvc_inspiration (
	inspirationID INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
	inspirationHTML MEDIUMTEXT,
	inspirationDate DATE NOT NULL
) ENGINE = InnoDB;

DROP TABLE IF EXISTS bvc_vote;
CREATE TABLE bvc_vote (
	voterEmail VARCHAR(255) NOT NULL,
	voterName VARCHAR(255) NOT NULL,
	inspirationID INT NOT NULL REFERENCES bvc_inspiration ON DELETE SET NULL,
	trackID INT NOT NULL REFERENCES bvc_track ON DELETE SET NULL,
	voteDate DATE NOT NULL,
	votePlace ENUM("1","2","3") NOT NULL,
	voteConfirmed BOOL DEFAULT FALSE NOT NULL,
	PRIMARY KEY (voterEmail, inspirationID, trackID)
) ENGINE = InnoDB;

DROP TABLE IF EXISTS bvc_link;
CREATE TABLE bvc_link (
	linkID INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
	linkName VARCHAR(255) NOT NULL,
	linkURL VARCHAR(255) NOT NULL,
	linkTitle VARCHAR(255) NOT NULL,
	linkFeatured BOOL DEFAULT FALSE NOT NULL
) ENGINE = InnoDB;

DROP TABLE IF EXISTS bvc_news;
CREATE TABLE bvc_news (
	newsID INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
	newsDate DATE NOT NULL,
	newsTitle VARCHAR(255) NOT NULL,
	newsText MEDIUMTEXT,
	newsSticky BOOL DEFAULT FALSE NOT NULL
) ENGINE = InnoDB;
