<?php
	require("./Smarty/Smarty.class.php");
	require("./classes.php");
	require_once "connectDB.php";
	getConnection();

	// Record page hits
	$hitsFile = "./hits";
	$hits = file($hitsFile);
	$hits[0]++;
	$fp = fopen($hitsFile, "w");
	fputs($fp, "$hits[0]");
	fclose($fp);

	session_start(); // We'll use some session-stuff. Maybe.

	// Load the config file
	$configuration = parse_ini_file("./config.ini", True);
	$dateFormat = $configuration["General"]["DateFormat"];

	// Form and CAPTCHA processing
	$formName = "";
	if ((isset($_POST['formName'])) && ($_POST['formName'] != "")) {
		$formName = $_POST['formName'];
	}
	if ($formName != "") {
		$captchaOK = True;
		/*$captchaOK = false;
		$message = "";
		if (isset($_POST['phrase']) && is_string($_POST['phrase']) && isset($_SESSION['phrase']) && strlen($_POST['phrase']) > 0 && strlen($_SESSION['phrase']) > 0 && $_POST['phrase'] == $_SESSION['phrase']) {
			$captchaOK = true;
			unset($_SESSION['phrase']);
		} else {
			$page = $formName;
		}
		unlink(md5(session_id()) . '.png');*/
	}

	$page = "home";
	if ((isset($_GET['page'])) && ($_GET['page'] != "")) {
		$page = $_GET['page'];
	}

	$pageURL = "./pages/" . $page . ".php";
	$templateURL = $configuration["General"]["Templates"] . "/" . $page . ".tpl";

	if (!file_exists($pageURL)) {
		$pageURL = "./pages/err404.php";
		$templateURL = $configuration["General"]["Templates"] . "/err404.tpl";
	}

	// Initialise Smarty
	$smarty = new Smarty();
	$smarty->template_dir = $configuration["General"]["Templates"];
	$smarty->compile_dir = "./Smarty/templates_c";
	$smarty->cache_dir = "./Smarty/cache";
	$smarty->config_dir = "./Smarty/configs";

	// Retrieve inspiration details
	$sql = "SELECT inspirationID, inspirationHTML, UNIX_TIMESTAMP(inspirationDate) AS inspirationDate FROM bvc_inspiration WHERE inspirationDate < NOW() ORDER BY inspirationDate DESC LIMIT 1;"; // Grab the current inspiration, and allow me to be super-organised about getting the next one up. ;)
	if (!($result = mysql_query($sql))) {
		die("Internal error.");
	}
	$values = mysql_fetch_array($result);
	$inspirationID = $values["inspirationID"];
	$inspirationHTML = $values["inspirationHTML"];
	$inspirationDate = $values["inspirationDate"];
	
	$startDateEpoch = $inspirationDate;
	$startDate = mktime(0, 0, 0, date("m", $startDateEpoch), date("d", $startDateEpoch), date("Y", $startDateEpoch));
	$midDate = mktime(23, 59, 59, date("m", $startDateEpoch)+1, date("d", $startDateEpoch)-1, date("Y", $startDateEpoch));
	$midDateEpoch = date("U", $midDate);
	$endDate = mktime(23, 59, 59, date("m", $startDateEpoch)+2, date("d", $startDateEpoch)-1, date("Y", $startDateEpoch));
	$endDateEpoch = date("U", $endDate);

	// Retrieve number of entries
	$sql = "SELECT COUNT(*) FROM bvc_track WHERE inspirationID = $inspirationID;";
	if ($result = mysql_query($sql)) {
		$values = mysql_fetch_array($result);
		$entryCount = $values[0];
	} else {
		$entryCount = 0;
	}

	// Retrieve number of validated entries
	$sql = "SELECT COUNT(*) FROM bvc_track WHERE inspirationID = $inspirationID AND entryConfirmed = True;";
	if ($result = mysql_query($sql)) {
		$values = mysql_fetch_array($result);
		$entryValidCount = $values[0];
	} else {
		$entryValidCount = 0;
	}

	// Retrieve number of votes
	$sql = "SELECT COUNT(*) FROM bvc_vote WHERE inspirationID = $inspirationID;";
	if ($result = mysql_query($sql)) {
		$values = mysql_fetch_array($result);
		$voteCount = $values[0];
	} else {
		$voteCount = 0;
	}

	// Retrieve the number of validated votes
	$sql = "SELECT COUNT(*) FROM bvc_vote WHERE inspirationID = $inspirationID AND voteConfirmed = True;";
	if ($result = mysql_query($sql)) {
		$values = mysql_fetch_array($result);
		$voteValidCount = $values[0];
	} else {
		$voteValidCount = 0;
	}

	$sql = "SELECT * FROM bvc_link ORDER BY linkFeatured DESC;";
	$links = mysql_query($sql);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title><?php echo $configuration["General"]["Title"]; ?></title>
		<link rel="stylesheet" type="text/css" href="<?php echo $configuration["General"]["Stylesheet"]; ?>"/>
		<link rel="alternate" type="application/rss+xml" href="./rss.php?feed=news" title="<?php echo $configuration["General"]["Title"]; ?> - News"/>
		<meta http-equiv="content-type" name="keywords" content="<?php echo $configuration["General"]["Keywords"]; ?>"/>
		<meta http-equiv="content-type" name="description" content="<?php echo $configuration["General"]["Description"]; ?>"/>
		<script type="text/javascript" defer="defer" src="./common.js"></script>
	</head>

	<body>
		<?php
			require("./main.php");
		?>
	</body>
</html>
